fw_cdev_get_cycle_timer2 Struct Reference

`#include <dc1394/juju/firewire-cdev.h>`

## Detailed Description

struct fw_cdev_get_cycle_timer2 - read cycle timer register @tv_sec: system time, seconds @tv_nsec: system time, sub-seconds part in nanoseconds @clk_id: input parameter, clock from which to get the system time @cycle_timer: Cycle Time register contents

The FW_CDEV_IOC_GET_CYCLE_TIMER2 works like FW_CDEV_IOC_GET_CYCLE_TIMER but lets you choose a clock like with POSIX' clock_gettime function. Supported @clk_id values are POSIX' CLOCK_REALTIME and CLOCK_MONOTONIC and Linux' CLOCK_MONOTONIC_RAW.

The documentation for this struct was generated from the following file:

- dc1394/juju/firewire-cdev.h